
Search UI - Story #7950

Search for a published identifier should always show relevant results, e.g. Dryad DOI identifiers
Status: Closed Start date: 2016-12-08

Priority: High Due date:  

Assignee: Lauren Walker % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

When a user searches for an identifier using a string that is shorted than the actual identifier registered in DataONE but still widely

recognized as a valid identifier, the search results should include all records that match that string.

For example, the PID http://dx.doi.org/10.5061/dryad.1ph92?ver=2015-08-31T10:06:44.866-04:00 is widely recognized by the DOI: 

http://dx.doi.org/10.5061/dryad.1ph92 or doi:10.5061/dryad.1ph92, however searching for that identifier in the search UI returns no

records.

History

#1 - 2017-03-20 20:46 - Jing Tao

- Assignee changed from Jing Tao to Lauren Walker

Talked with Lauren and she thought this is a search ui issue. So I am assigning this ticket to her.

#2 - 2017-03-20 21:11 - Lauren Walker

- Project changed from Infrastructure to Search UI

- Category deleted (d1_indexer)

- Status changed from New to Closed

- Target version deleted (CCI-2.3.3)

- % Done changed from 0 to 100

I am moving this ticket to the MetacatUI Github issue tracker. It is slated for the next minor version, 1.14.0
